using Microsoft.UI.Xaml.Controls;
using YMhut.Box.Core.Tools;

namespace YMhut.Box.WinUI.Views;

public abstract class ToolPageBase : Page
{
    public IToolModule? Module { get; private set; }

    protected void BindModule(IToolModule module)
    {
        Module = module;
        OnModuleChanged(module);
    }

    protected virtual void OnModuleChanged(IToolModule module)
    {
    }
}
